--[[
///////////////////////////////////////////////////////////////////////
// MathCore = a WYSIWYG equation editor + a powerful math engine     //
// Copyright (C) 2003 by Francesco Montorsi                          //
//                                                                   //
// This library is free software; you can redistribute it and/or     //
// modify it under the terms of the GNU Lesser General Public        //
// License as published by the Free Software Foundation; either      //
// version 2.1 of the License, or (at your option) any later         //
// version.                                                          //
//                                                                   //
// This library is distributed in the hope that it will be useful,   //
// but WITHOUT ANY WARRANTY; without even the implied warranty of    //
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the      //
// GNU Lesser General Public License for more details.               //
//                                                                   //
// You should have received a copy of the GNU Lesser General Public  //
// License along with this program; if not, write to the Free        //
// Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,   //
// MA 02111-1307, USA.                                               //
//                                                                   //
// For any comment, suggestion or feature request, please contact    //
// the administrator of the project at frm@users.sourceforge.net     //
//                                                                   //
///////////////////////////////////////////////////////////////////////
//
// Trig.lua
//
// Implements the trigonometric functions.
// This file can be loaded through LUA as a script in "Test1" or
// in "App" to add trigonometric support.
//
// NOTE: the "mc" prefix of these functions will be stripped off by
//       MathCore: it's required only to avoid name conflicts with
//       the functions defined in math.h
//
///////////////////////////////////////////////////////////////////////
--]]


--  Standard trigonometric functions
-- ----------------------------------

function mccos(alfa)		 return math.cos(alfa) end
function mcsin(alfa)		 return math.sin(alfa) end
function mctan(alfa)		 return math.tan(alfa) end
function mccotan(alfa)		 return 1.0/math.tan(alfa) end
function mcsec(alfa)		 return 1.0/math.cos(alfa) end
function mccosec(alfa)		 return 1.0/math.sin(alfa) end


--  Italian trigonometric functions
-- ---------------------------------



